/*
 * @(#)RequestFailedExceptionTest.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.RequestFailedException;
import junit.framework.TestCase;

/**
 * RequestFailedExceptionクラスのテストケース
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/11 14:10:23 $
 */
public class RequestFailedExceptionTest extends TestCase {

	/**
	 * Constructor for RequestFailedExceptionTest.
	 * @param arg0
	 */
	public RequestFailedExceptionTest(String arg0) {
		super(arg0);
	}

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/*
	 * Test method for 'info.dragonlady.sso.RequestFailedException.RequestFailedException()'
	 */
	public final void testRequestFailedException() {
		try {
			new RequestFailedException();
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * Test method for 'info.dragonlady.sso.RequestFailedException.RequestFailedException(String)'
	 */
	public final void testRequestFailedExceptionString() {
		try {
			String message = "message";
			new RequestFailedException(message);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * Test method for 'info.dragonlady.sso.RequestFailedException.RequestFailedException(Throwable)'
	 */
	public final void testRequestFailedExceptionThrowable() {
		try {
			String message = "message";
			Exception e = new Exception("exception_message");
			new RequestFailedException(message, e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * Test method for 'info.dragonlady.sso.RequestFailedException.RequestFailedException(String, Throwable)'
	 */
	public final void testRequestFailedExceptionStringThrowable() {
		try {
			Exception e = new Exception("exception_message");
			new RequestFailedException(e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
